package com.shcd.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Data;

/**
 * 泊位本月使用情况
 * @TableName SHORE_POWER_BLBERTHMONTHUSE
 */
@TableName(value ="GHJG_PORT_MANAGE.SHORE_POWER_BLBERTHMONTHUSE")
@Data
public class ShorePowerBlberthmonthuse implements Serializable {
    /**
     * 主键id
     */
    @TableField(value = "ID")
    private String id;

    /**
     * 用户泊位表id
     */
    @TableField(value = "USER_BERTH_ID")
    private String userBerthId;

    /**
     * 年月时间
     */
    @TableField(value = "MONTH")
    private String month;

    /**
     * 使用次数
     */
    @TableField(value = "USE_COUNT")
    private Long useCount;

    /**
     * 接电时间（h）
     */
    @TableField(value = "ELE_TIME")
    private BigDecimal eleTime;

    /**
     * 使用电量（kwh）
     */
    @TableField(value = "USE_ELECTRICITY")
    private BigDecimal useElectricity;

    /**
     * 停泊船艘总艘数
     */
    @TableField(value = "MOORING_SHIP_COUNT")
    private Long mooringShipCount;

    /**
     * 创建时间
     */
    @TableField(value = "CREATE_TIME")
    private Date createTime;

    /**
     * 创建人
     */
    @TableField(value = "CREATE_UID")
    private String createUid;

    /**
     * 修改时间
     */
    @TableField(value = "MODIFY_TIME")
    private Date modifyTime;

    /**
     * 修改人
     */
    @TableField(value = "MODIFY_UID")
    private String modifyUid;

    @TableField(value = "OBj_ID")
    private String objId;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        ShorePowerBlberthmonthuse other = (ShorePowerBlberthmonthuse) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getUserBerthId() == null ? other.getUserBerthId() == null : this.getUserBerthId().equals(other.getUserBerthId()))
            && (this.getMonth() == null ? other.getMonth() == null : this.getMonth().equals(other.getMonth()))
            && (this.getUseCount() == null ? other.getUseCount() == null : this.getUseCount().equals(other.getUseCount()))
            && (this.getEleTime() == null ? other.getEleTime() == null : this.getEleTime().equals(other.getEleTime()))
            && (this.getUseElectricity() == null ? other.getUseElectricity() == null : this.getUseElectricity().equals(other.getUseElectricity()))
            && (this.getMooringShipCount() == null ? other.getMooringShipCount() == null : this.getMooringShipCount().equals(other.getMooringShipCount()))
            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()))
            && (this.getCreateUid() == null ? other.getCreateUid() == null : this.getCreateUid().equals(other.getCreateUid()))
            && (this.getModifyTime() == null ? other.getModifyTime() == null : this.getModifyTime().equals(other.getModifyTime()))
            && (this.getModifyUid() == null ? other.getModifyUid() == null : this.getModifyUid().equals(other.getModifyUid()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getUserBerthId() == null) ? 0 : getUserBerthId().hashCode());
        result = prime * result + ((getMonth() == null) ? 0 : getMonth().hashCode());
        result = prime * result + ((getUseCount() == null) ? 0 : getUseCount().hashCode());
        result = prime * result + ((getEleTime() == null) ? 0 : getEleTime().hashCode());
        result = prime * result + ((getUseElectricity() == null) ? 0 : getUseElectricity().hashCode());
        result = prime * result + ((getMooringShipCount() == null) ? 0 : getMooringShipCount().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        result = prime * result + ((getCreateUid() == null) ? 0 : getCreateUid().hashCode());
        result = prime * result + ((getModifyTime() == null) ? 0 : getModifyTime().hashCode());
        result = prime * result + ((getModifyUid() == null) ? 0 : getModifyUid().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", userBerthId=").append(userBerthId);
        sb.append(", month=").append(month);
        sb.append(", useCount=").append(useCount);
        sb.append(", eleTime=").append(eleTime);
        sb.append(", useElectricity=").append(useElectricity);
        sb.append(", mooringShipCount=").append(mooringShipCount);
        sb.append(", createTime=").append(createTime);
        sb.append(", createUid=").append(createUid);
        sb.append(", modifyTime=").append(modifyTime);
        sb.append(", modifyUid=").append(modifyUid);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}